Asteroids & Centaurs
GET
/reference/asteroids
curl -X GET https://api.astroway.info/v1/reference/asteroids \ -H "Content-Type: application/json"const res = await fetch('https://api.astroway.info/v1/reference/asteroids', { method: 'GET', headers: { 'Content-Type': 'application/json', },});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.get( 'https://api.astroway.info/v1/reference/asteroids', headers={'Content-Type': 'application/json'},)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->get('reference/asteroids', []);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Reference list of the major asteroids and centaurs (Ceres, Pallas, Juno, Vesta, Chiron, Lilith, Eris, Sedna, Pholus) with Swiss Ephemeris ID, archetype, mythology, and orbit period.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
items
Array<object>
object
name
string
swissEphemerisId
number
archetype
string
mythology
string
orbitYears
number
count
number
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.